Main Page Class List Class Members

# Nv::Blast::Serialization::NvBlastDataBlock::NvBlastDataBlock::Builder Class Reference

`#include <NvBlastExtLlSerialization.capn.h>`

List of all members.

## Public Types
typedef NvBlastDataBlock | Builds
## Public Member Functions
Reader | asReader () const
| Builder (::capnp::_::StructBuilder base)
| Builder (decltype(nullptr))
| Builder ()
inline::Nv::Blast::Serialization::NvBlastDataBlock::Type | getDataType ()
inline::uint32_t | getFormatVersion ()
inline::uint32_t | getSize ()
| operator Reader () const
void | setDataType (::Nv::Blast::Serialization::NvBlastDataBlock::Type value)
void | setFormatVersion (::uint32_t value)
void | setSize (::uint32_t value)
inline::kj::StringTree | toString () const
inline::capnp::MessageSize | totalSize () const
## Friends
struct | ::capnp::_::PointerHelpers
class | ::capnp::Orphanage
struct | ::capnp::ToDynamic_

## Member Typedef Documentation

typedef NvBlastDataBlock Nv::Blast::Serialization::NvBlastDataBlock::NvBlastDataBlock::Builder::Builds

## Constructor & Destructor Documentation

Nv::Blast::Serialization::NvBlastDataBlock::NvBlastDataBlock::Builder::Builder | ( |  | ) |

Nv::Blast::Serialization::NvBlastDataBlock::NvBlastDataBlock::Builder::Builder | ( | decltype(nullptr) |  | ) | `[inline]`

Nv::Blast::Serialization::NvBlastDataBlock::NvBlastDataBlock::Builder::Builder | ( | ::capnp::_::StructBuilder | base | ) | `[inline, explicit]`

## Member Function Documentation

Reader Nv::Blast::Serialization::NvBlastDataBlock::NvBlastDataBlock::Builder::asReader | ( |  | ) | const`[inline]`

inline ::Nv::Blast::Serialization::NvBlastDataBlock::Type Nv::Blast::Serialization::NvBlastDataBlock::NvBlastDataBlock::Builder::getDataType | ( |  | ) |

inline ::uint32_t Nv::Blast::Serialization::NvBlastDataBlock::NvBlastDataBlock::Builder::getFormatVersion | ( |  | ) |

inline ::uint32_t Nv::Blast::Serialization::NvBlastDataBlock::NvBlastDataBlock::Builder::getSize | ( |  | ) |

Nv::Blast::Serialization::NvBlastDataBlock::NvBlastDataBlock::Builder::operator Reader | ( |  | ) | const`[inline]`

void Nv::Blast::Serialization::NvBlastDataBlock::NvBlastDataBlock::Builder::setDataType | ( | ::Nv::Blast::Serialization::NvBlastDataBlock::Type | value | ) | `[inline]`

void Nv::Blast::Serialization::NvBlastDataBlock::NvBlastDataBlock::Builder::setFormatVersion | ( | ::uint32_t | value | ) | `[inline]`

void Nv::Blast::Serialization::NvBlastDataBlock::NvBlastDataBlock::Builder::setSize | ( | ::uint32_t | value | ) | `[inline]`

inline ::kj::StringTree Nv::Blast::Serialization::NvBlastDataBlock::NvBlastDataBlock::Builder::toString | ( |  | ) | const`[inline]`

inline ::capnp::MessageSize Nv::Blast::Serialization::NvBlastDataBlock::NvBlastDataBlock::Builder::totalSize | ( |  | ) | const`[inline]`

## Friends And Related Function Documentation

friend struct ::capnp::_::PointerHelpers`[friend]`

friend class ::capnp::Orphanage`[friend]`

friend struct ::capnp::ToDynamic_`[friend]`

The documentation for this class was generated from the following file:

- sdk/extensions/serialization/source/generated/NvBlastExtLlSerialization.capn.h